const { merge } = require('webpack-merge');

const myEnv = require('dotenv').config({ path: 'config/prod/.env' }).parsed;
const common = require('./webpack-common');

// const { BundleAnalyzerPlugin } = require('webpack-bundle-analyzer');

module.exports = (env, args) => {
	return merge(common(env, args, myEnv), {
		mode: 'production',
		devtool: false,
		plugins: [
			// new BundleAnalyzerPlugin(),
		],
	});
};
